-- 基础信息
base_info = {
	group_id = 220134070
}

-- DEFS_MISCS
local        defs = {

				--连线形态
				patterns =
				{
						--形态1
						[1] =
						{
								   [62001] = 62002,
									[62002] = 62003,
				[62003] = 62004,
										[62004] = 62001,
										[62005] = 62004,
										[62013] = 62005,
										[62014] = 62013,
										[62006] = 62004,
										[62008] = 62006,
										[62009] = 62008,
										[62010] = 62009,
										[62011] = 62008,
										[62012] = 62010,
						[62015] = 62010,
},

				}

		}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[70001] = { config_id = 70001, gadget_id = 70310231, pos = { x = 134.283, y = 681.489, z = -1866.900 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70002] = { config_id = 70002, gadget_id = 70310231, pos = { x = 130.535, y = 674.975, z = -1865.613 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70003] = { config_id = 70003, gadget_id = 70310231, pos = { x = 117.053, y = 660.557, z = -1854.165 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70004] = { config_id = 70004, gadget_id = 70310231, pos = { x = 115.332, y = 663.360, z = -1849.191 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70005] = { config_id = 70005, gadget_id = 70310231, pos = { x = 111.928, y = 661.908, z = -1844.647 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70006] = { config_id = 70006, gadget_id = 70310231, pos = { x = 120.152, y = 675.648, z = -1847.889 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70007] = { config_id = 70007, gadget_id = 70310231, pos = { x = 120.151, y = 672.955, z = -1849.925 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70008] = { config_id = 70008, gadget_id = 70310231, pos = { x = 123.075, y = 676.412, z = -1852.157 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70009] = { config_id = 70009, gadget_id = 70310231, pos = { x = 122.465, y = 673.681, z = -1853.212 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70010] = { config_id = 70010, gadget_id = 70310231, pos = { x = 117.970, y = 665.931, z = -1851.622 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70011] = { config_id = 70011, gadget_id = 70310231, pos = { x = 120.803, y = 668.438, z = -1854.422 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70012] = { config_id = 70012, gadget_id = 70310231, pos = { x = 110.534, y = 664.926, z = -1840.054 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70013] = { config_id = 70013, gadget_id = 70310231, pos = { x = 113.730, y = 669.675, z = -1841.760 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 },
	[70014] = { config_id = 70014, gadget_id = 70310231, pos = { x = 134.283, y = 681.489, z = -1866.900 }, rot = { x = 1.165, y = 328.447, z = 68.659 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 2,
	end_suite = 1,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 70001, 70002, 70003, 70004, 70005, 70006, 70007, 70008, 70009, 70010, 70011, 70012, 70013, 70014 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_8/ConstellationPattern"
